package com.gic.store.constant;

/**
 * @author zhiwj
 * @date 2019/7/1
 */
public enum CreateTypeEnum {
    /**
     * 后台新增
     */
    BACKGROUND_ADD(1, "后台新增"),
    /**
     * 批量导入
     */
    BATCH_IMPORT(2, "批量导入"),
    /**
     * 增量订单同步
     */
    ORDER(3, "增量订单同步"),
    /**
     * ERP同步
     */
    ERP(4, "ERP同步"),
    /**
     * API接口
     */
    API(5, "API接口"),
    /**
     * 增量会员同步
     */
    MEMBER(6, "增量会员同步"),
    /**
     * 批量订单同步
     */
    BULKORDER(7, "批量订单同步"),
    /**
     * 批量会员同步
     */
    BULKMEMBER(8, "批量会员同步")
    ;



    private int code;
    private String message;

    CreateTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
