package com.gic.store.constant;

/**
 * @author zhiwj
 * @date 2019/7/17
 */
public enum GenderEnum {

    /**
     * 男
     */
    MALE(1, "男"),

    /**
     * 女
     */
    FEMALE(2, "女");
    private int code;
    private String message;

    GenderEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static GenderEnum parseMessage(String message) {
        for (GenderEnum genderEnum: GenderEnum.values()) {
            if (genderEnum.getMessage().equals(message)) {
                return genderEnum;
            }
        }
        return null;
    }
}
