package com.gic.store.constant;

/**
 *
 * @ClassName: StoreCompleteEnum
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public enum StoreCompleteEnum {
    /**
     * 已完善
     */
    COMPLETE(1, "已完善"),
    /**
     * 未完善
     */
    UNCOMPLETE(0, "未完善");
    private int code;
    private String message;

    StoreCompleteEnum(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
