package com.gic.store.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 10:31
 */
public enum StoreLogTypeEnum {
    /**
     * 门店新增
     */
    SAVE(1, "门店新增"),
    /**
     * 关联导购
     */
    ADD_CLERK(2, "关联导购"),
    /**
     * 信息变更
     */
    INFO_UPDATE(3, "信息变更"),
    /**
     * 分组变更
     */
    GROUP_UPDATE(4, "分组变更"),
    /**
     * 状态变更
     */
    STATUS_UPDATE(5, "状态变更")
    ;
    private int code;
    private String message;

    StoreLogTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
