package com.gic.store.constant;

/**
 * 
 * @ClassName: StoreStatusEnum
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:07
 */
public enum StoreStatusEnum {
    /**
     * 上线
     */
    ONLINE(1, "上线"),
    /**
     * 未上线
     */
    INONLINE(2, "未上线"),
    /**
     * 停业整顿
     */
    STOPDOING(3, "停业整顿"),
    /**
     * 闭店
     */
    CLOSE(4, "闭店");
    private int code;
    private String message;

    StoreStatusEnum(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static String parseCode(int code){
        for(StoreStatusEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.message;
            }
        }
        return null;
    }
}
