package com.gic.store.constant;

/** 分组策略中国的门店属性下拉数据
  * @ClassName: StrategyStoreFieldEnum 
  * @Description:    分组策略中国的门店属性下拉数据
  * @author guojuxing 
  * @date 2019/7/4 4:03 PM
  */
public enum StrategyStoreFieldEnum {
    /**
     * 门店省
     */
    STORE_PROVINCE("province", "门店省"),
    /**
     * 门店市
     */
    STORE_CITY("city", "门店市"),
    /**
     * 门店区县
     */
    STORE_COUNTRY("country", "门店区县"),
    /**
     * 店招品牌
     */
    RELATED_BRAND("relatedBrand", "店招品牌");

    private String code;
    private String message;


    private StrategyStoreFieldEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
