package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/7/17
 */
public class ClerkTmpDTO implements Serializable {
    private static final long serialVersionUID = 2000733283385267752L;

    /**
     *
     */
    private Integer clerkTmpId;

    /**
     *
     */
    private Integer enterpriseId;

    private String regionId;
    /**
     * 门店域
     */
    private String regionName;
    /**
     * 导购id
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 门店名
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 岗位
     */
    private String positionName;

    /**
     * 男 、女
     */
    private String clerkGender;

    /**
     * 区号
     */
    private String nationcode;

    /**
     * 手机号
     */
    private String phoneNumber;

    /**
     *
     */
    private String errorMessage;

    /**
     *
     */
    private String signKey;

    private Date updateTime;

    /**
     *
     */
    private Integer operatorId;

    /**
     *
     */
    private String operatorName;
    private String clerkType;
    private Boolean replace;

    public Integer getClerkTmpId() {
        return clerkTmpId;
    }

    public void setClerkTmpId(Integer clerkTmpId) {
        this.clerkTmpId = clerkTmpId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(String clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getSignKey() {
        return signKey;
    }

    public void setSignKey(String signKey) {
        this.signKey = signKey;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getClerkType() {
        return clerkType;
    }

    public void setClerkType(String clerkType) {
        this.clerkType = clerkType;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public void setReplace(Boolean replace) {
        this.replace = replace;
    }

    public Boolean getReplace() {
        return replace;
    }

    @Override
    public String toString() {
        return "ClerkTmpDTO{" +
                "clerkTmpId=" + clerkTmpId +
                ", enterpriseId=" + enterpriseId +
                ", regionId='" + regionId + '\'' +
                ", regionName='" + regionName + '\'' +
                ", clerkName='" + clerkName + '\'' +
                ", clerkCode='" + clerkCode + '\'' +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", positionName='" + positionName + '\'' +
                ", clerkGender='" + clerkGender + '\'' +
                ", nationcode='" + nationcode + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", errorMessage='" + errorMessage + '\'' +
                ", signKey='" + signKey + '\'' +
                ", updateTime=" + updateTime +
                ", operatorId=" + operatorId +
                ", operatorName='" + operatorName + '\'' +
                ", clerkType='" + clerkType + '\'' +
                ", replace=" + replace +
                '}';
    }
}
