package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-03-26 15:08
 */
public class GicDictDTO implements Serializable {
    private static final long serialVersionUID = -573633208657720956L;

    /**
     *
     */
    private String dictId;

    /**
     * 01：推送方式（IM，SMS，WEB，MOBILE，EMAIL）
     02：消息编码
     03：接口编码
     */
    private String dictType;

    /**
     * 字典code
     */
    private String dictCode;

    /**
     *
     */
    private String dictValue;

    /**
     *
     */
    private String dictName;

    /**
     * 1：开启，0：关闭
     */
    private Integer dictStatus;

    /**
     *
     */
    private Date createDate;

    /**
     *
     */
    private Integer dictSort;

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public Integer getDictStatus() {
        return dictStatus;
    }

    public void setDictStatus(Integer dictStatus) {
        this.dictStatus = dictStatus;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getDictSort() {
        return dictSort;
    }

    public void setDictSort(Integer dictSort) {
        this.dictSort = dictSort;
    }

    @Override
    public String toString() {
        return "GicDictDTO{" +
                "dictId='" + dictId + '\'' +
                ", dictType='" + dictType + '\'' +
                ", dictCode='" + dictCode + '\'' +
                ", dictValue='" + dictValue + '\'' +
                ", dictName='" + dictName + '\'' +
                ", dictStatus=" + dictStatus +
                ", createDate=" + createDate +
                ", dictSort=" + dictSort +
                '}';
    }
}
