package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @ClassName: StoreBulkOrderDTO
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public class StoreBulkOrderDTO implements Serializable {
    private List<StoreOrderDTO> store;
    private List<StoreOrderDTO> clerk;

    private Long batchId;
    /**
     * 状态（1：成功，2：处理中，3：失败）
     */
    private Integer status;
    /**
     * 通知类型（5：门店导购创建结果）
     */
    private Integer type;

    public List<StoreOrderDTO> getStore() {
        return store;
    }

    public void setStore(List<StoreOrderDTO> store) {
        this.store = store;
    }

    public List<StoreOrderDTO> getClerk() {
        return clerk;
    }

    public void setClerk(List<StoreOrderDTO> clerk) {
        this.clerk = clerk;
    }


    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "StoreBulkOrderDTO{" +
                "store=" + store +
                ", clerk=" + clerk +
                ", batchId=" + batchId +
                ", status=" + status +
                ", type=" + type +
                '}';
    }
}
