package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreBusinessTimeDTO implements Serializable {
    private static final long serialVersionUID = -1536451717040174983L;

    /**
     *
     */
    private Integer storeBusinessTimeId;

    /**
     * 1,2
     */
    private String weekday;

    /**
     *
     */
    private Date openTime;

    /**
     *
     */
    private Date closeTime;

    /**
     *
     */
    private Integer storeInfoId;

    /**
     * 周一，周二
     */
    private String weekdayShow;

    public Integer getStoreBusinessTimeId() {
        return storeBusinessTimeId;
    }

    public void setStoreBusinessTimeId(Integer storeBusinessTimeId) {
        this.storeBusinessTimeId = storeBusinessTimeId;
    }

    public String getWeekday() {
        return weekday;
    }

    public void setWeekday(String weekday) {
        this.weekday = weekday;
    }

    public Date getOpenTime() {
        return openTime;
    }

    public void setOpenTime(Date openTime) {
        this.openTime = openTime;
    }

    public Date getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Date closeTime) {
        this.closeTime = closeTime;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public String getWeekdayShow() {
        return weekdayShow;
    }

    public void setWeekdayShow(String weekdayShow) {
        this.weekdayShow = weekdayShow;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        StoreBusinessTimeDTO that = (StoreBusinessTimeDTO) o;
        return Objects.equals(weekday, that.weekday) &&
                Objects.equals(openTime, that.openTime) &&
                Objects.equals(closeTime, that.closeTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(weekday, openTime, closeTime);
    }

    @Override
    public String toString() {
        return "StoreBusinessTimeDTO{" +
                "storeBusinessTimeId=" + storeBusinessTimeId +
                ", weekday='" + weekday + '\'' +
                ", openTime=" + openTime +
                ", closeTime=" + closeTime +
                ", storeInfoId=" + storeInfoId +
                ", weekdayShow='" + weekdayShow + '\'' +
                '}';
    }
}
