package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 15:42
 */
public class StoreLogDTO implements Serializable {

    /**
     *
     */
    private Integer storeLogId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer storeId;

    /**
     *
     */
    private String content;

    /**
     * 事由   1:web后台操作   2:外部触发   3:订单同步  4:会员同步  5:系统配置触发
     */
    private Integer reason;

    /**
     * 日志类型  1:门店新增  2:关联导购  3:信息变更  4:门店分组变更  5:状态变更
     */
    private Integer logType;

    /**
     *
     */
    private String remark;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Integer operatorId;

    /**
     *
     */
    private String operatorName;
    private String startTime;
    private String endTime;

    public Integer getStoreLogId() {
        return storeLogId;
    }

    public void setStoreLogId(Integer storeLogId) {
        this.storeLogId = storeLogId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public Integer getLogType() {
        return logType;
    }

    public void setLogType(Integer logType) {
        this.logType = logType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getEndTime() {
        return endTime;
    }

    @Override
    public String toString() {
        return "StoreLogDTO{" +
                "storeLogId=" + storeLogId +
                ", enterpriseId=" + enterpriseId +
                ", storeId=" + storeId +
                ", content='" + content + '\'' +
                ", reason=" + reason +
                ", logType=" + logType +
                ", remark='" + remark + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", status=" + status +
                ", operatorId=" + operatorId +
                ", operatorName='" + operatorName + '\'' +
                ", startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                '}';
    }
}
