package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.ClerkLogDTO;

/**
 * 导购日志
 * @ClassName: ClerkLogApiService
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 14:18
 */
public interface ClerkLogApiService {

    /**
     * listClerkLog
     * @Title: listClerkLog
     * @Description:
     * @author zhiwj
     * @param clerkLogDTO
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.store.dto.ClerkLogDTO>>
     * @throws
     */
    ServiceResponse<Page<ClerkLogDTO>> listClerkLog(ClerkLogDTO clerkLogDTO, Integer pageNum, Integer pageSize);

}
