package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreLogDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 16:09
 */
public interface StoreLogApiService {

    /**
     * 查询门店日志列表
     * @Title: listStoreLog
     * @Description:
     * @author zhiwj
     * @param storeLogDTO
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.store.dto.StoreLogDTO>>
     * @throws
     */
    ServiceResponse<Page<StoreLogDTO>> listStoreLog(StoreLogDTO storeLogDTO, Integer currentPage, Integer pageSize);

}
