package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreResourceDTO;

import java.util.List;
import java.util.Set;

/**
 * 门店选择器资源过滤
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/26 10:49 AM 
 */
public interface StoreResourceApiService {

    /**
     * 获取登录人的权限
     * @param userId 登录人ID
     * @param esField StoreESFieldsEnum 枚举
     * @return
     */
    ServiceResponse<List<StoreResourceDTO>> getAuthDataFromStoreWidget(Integer userId, String esField);
}
