package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreStatusSettingDTO;

import java.util.List;

/**
 * 
 * @ClassName: StoreStatusSettingApiService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:07
 */
public interface StoreStatusSettingApiService {

    /**
     * saveSetting
     * @Title: saveSetting
     * @Description:
     * @author zhiwj
     * @param dto
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveSetting(StoreStatusSettingDTO dto);


    /**
     * listSetting
     * @Title: listSetting
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreStatusSettingDTO>>
     * @throws
     */
    ServiceResponse<List<StoreStatusSettingDTO>> listSetting(Integer enterpriseId);


    /**
     * delete
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse delete(Integer enterpriseId, Integer id);
}
