package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-05-27 11:18
 */
public interface StoreTransferApiService {

    /**
     * 门店成本主体转移
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param fromStoreId
     * @param toStoreId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(Integer enterpriseId, Integer fromStoreId, Integer toStoreId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeIds
     * @param toStoreId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(Integer enterpriseId, String storeIds, Integer toStoreId);
}
