package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;

public interface UnionStoreChangeApiService {
    /**
     * save
     * @Title: save
     * @Description: 保存商户下联合商户资源组授权范围变化日志
     * @author taogs
     * @param ownEnterpriseId
     * @param unionEnterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(Integer ownEnterpriseId, Integer unionEnterpriseId);
}
