package com.gic.store.entity;

import java.util.Date;

/**
 * 门店选择器日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 2:53 PM 
 */
public class TabStoreWidgetLog {
    /**
     * id
     */
    private Integer storeWidgetLogId;

    /**
     * 门店选择器ID，关联字段
     */
    private Integer storeWidgetId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 更新前的筛选条件/权限范围
     */
    private String searchParamBefore;

    /**
     * 更新后的筛选条件/权限范围
     */
    private String searchParamAfter;

    /**
     * 更新前的筛选条件/权限范围 解析内容冗余。前端需要
     */
    private String searchParamTextBefore;

    /**
     * 更新后的筛选条件/权限范围 解析内容冗余。前端需要
     */
    private String searchParamTextAfter;

    /**
     * 新前的筛选范围/权限范围。前端需要
     */
    private String searchParamSimpleBefore;

    /**
     * 更新后的筛选范围/权限范围。前端需要
     */
    private String searchParamSimpleAfter;

    /**
     * 1:变更权限范围 2:编辑筛选条件
     */
    private Integer logType;

    /**
     * 1:创建 2:操作
     */
    private Integer operationType;

    /**
     * 操作人ID user_id
     */
    private Integer operationId;

    /**
     * 操作人名称 冗余
     */
    private String operationName;

    /**
     * 操作人职位 1:CRM经理、2:商城运营经理、3:IT经理。冗余
     */
    private Integer operationPosition;

    /**
     * 操作人职位 1:CRM经理、2:商城运营经理、3:IT经理。冗余
     */
    private String operationPositionText;

    /**
     * 
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getStoreWidgetLogId() {
        return storeWidgetLogId;
    }

    public TabStoreWidgetLog setStoreWidgetLogId(Integer storeWidgetLogId) {
        this.storeWidgetLogId = storeWidgetLogId;
        return this;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public TabStoreWidgetLog setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabStoreWidgetLog setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getSearchParamBefore() {
        return searchParamBefore;
    }

    public TabStoreWidgetLog setSearchParamBefore(String searchParamBefore) {
        this.searchParamBefore = searchParamBefore;
        return this;
    }

    public String getSearchParamAfter() {
        return searchParamAfter;
    }

    public TabStoreWidgetLog setSearchParamAfter(String searchParamAfter) {
        this.searchParamAfter = searchParamAfter;
        return this;
    }

    public String getSearchParamTextBefore() {
        return searchParamTextBefore;
    }

    public TabStoreWidgetLog setSearchParamTextBefore(String searchParamTextBefore) {
        this.searchParamTextBefore = searchParamTextBefore;
        return this;
    }

    public String getSearchParamTextAfter() {
        return searchParamTextAfter;
    }

    public TabStoreWidgetLog setSearchParamTextAfter(String searchParamTextAfter) {
        this.searchParamTextAfter = searchParamTextAfter;
        return this;
    }

    public Integer getLogType() {
        return logType;
    }

    public TabStoreWidgetLog setLogType(Integer logType) {
        this.logType = logType;
        return this;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public TabStoreWidgetLog setOperationType(Integer operationType) {
        this.operationType = operationType;
        return this;
    }

    public Integer getOperationId() {
        return operationId;
    }

    public TabStoreWidgetLog setOperationId(Integer operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public TabStoreWidgetLog setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getOperationPosition() {
        return operationPosition;
    }

    public TabStoreWidgetLog setOperationPosition(Integer operationPosition) {
        this.operationPosition = operationPosition;
        return this;
    }

    public String getOperationPositionText() {
        return operationPositionText;
    }

    public TabStoreWidgetLog setOperationPositionText(String operationPositionText) {
        this.operationPositionText = operationPositionText;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabStoreWidgetLog setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabStoreWidgetLog setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabStoreWidgetLog setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getSearchParamSimpleBefore() {
        return searchParamSimpleBefore;
    }

    public TabStoreWidgetLog setSearchParamSimpleBefore(String searchParamSimpleBefore) {
        this.searchParamSimpleBefore = searchParamSimpleBefore;
        return this;
    }

    public String getSearchParamSimpleAfter() {
        return searchParamSimpleAfter;
    }

    public TabStoreWidgetLog setSearchParamSimpleAfter(String searchParamSimpleAfter) {
        this.searchParamSimpleAfter = searchParamSimpleAfter;
        return this;
    }
}