package com.gic.store.service;

import com.gic.store.entity.TabCity;
import com.gic.store.entity.TabCounty;
import com.gic.store.entity.TabProvince;

import java.util.List;
/**
 * 
 * @ClassName: ProvincesService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:53
 */
public interface ProvincesService {
    /**
     * selectAllProvince
     * @Title: selectAllProvince
     * @Description:
     * @author zhiwj
     * @return java.util.List<com.gic.store.entity.TabProvince>
     * @throws
     */
    List<TabProvince> selectAllProvince();

    /**
     * selectAllCity
     * @Title: selectAllCity
     * @Description:
     * @author zhiwj
     * @return java.util.List<com.gic.store.entity.TabCity>
     * @throws
     */
    List<TabCity> selectAllCity();

    /**
     * selectAllCounty
     * @Title: selectAllCounty
     * @Description:
     * @author zhiwj
     * @return java.util.List<com.gic.store.entity.TabCounty>
     * @throws
     */
    List<TabCounty> selectAllCounty();

    /**
     * queryProvinces
     * @Title: queryProvinces
     * @Description:
     * @author zhiwj
     * @param search
     * @return java.util.List<com.gic.store.entity.TabProvince>
     * @throws
     */
    List<TabProvince> queryProvinces(String search);

    /**
     * queryCity
     * @Title: queryCity
     * @Description:
     * @author zhiwj
     * @param search
     * @return java.util.List<com.gic.store.entity.TabCity>
     * @throws
     */
    List<TabCity> queryCity(String search);

    /**
     * queryCounty
     * @Title: queryCounty
     * @Description:
     * @author zhiwj
     * @param search
     * @return java.util.List<com.gic.store.entity.TabCounty>
     * @throws
     */
    List<TabCounty> queryCounty(String search);
}
