package com.gic.store.service;

import com.gic.store.dto.StoreBusinessTimeDTO;
import com.gic.store.entity.TabStoreBusinessTime;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/28
 */
public interface StoreBusinessTimeService {
    /**
     * editStoreBusinessTime
     * @Title: editStoreBusinessTime
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeId
     * @param businessTimeList
     * @param delBusinessTimes
     * @return void
     * @throws
     */
    void editStoreBusinessTime(Integer enterpriseId, Integer storeId, List<StoreBusinessTimeDTO> businessTimeList, List<Integer> delBusinessTimes);

    /**
     * listBusinessTime
     * @Title: listBusinessTime
     * @Description:
     * @author zhiwj
     * @param storeId
     * @return java.util.List<com.gic.store.entity.TabStoreBusinessTime>
     * @throws
     */
    List<TabStoreBusinessTime> listBusinessTime(Integer storeId);

    /**
     * convertBusinessTime
     * @Title: convertBusinessTime
     * @Description:
     * @author zhiwj
     * @param businessTimeDTOList
     * @return void
     * @throws
     */
    void convertBusinessTime(List<StoreBusinessTimeDTO> businessTimeDTOList);
}
