package com.gic.store.service;

import com.gic.store.entity.TabStoreStatusSetting;

import java.util.List;

/**
 * 
 * @ClassName: StoreStatusSettingService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
public interface StoreStatusSettingService {
    /**
     * saveSetting
     * @Title: saveSetting
     * @Description:
     * @author zhiwj
     * @param tabStoreStatusSetting
     * @return boolean
     * @throws
     */
    boolean saveSetting(TabStoreStatusSetting tabStoreStatusSetting);

    /**
     * listTabStoreStatusSetting
     * @Title: listTabStoreStatusSetting
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreStatusSetting>
     * @throws
     */
    List<TabStoreStatusSetting> listTabStoreStatusSetting(Integer enterpriseId);

    /**
     * delete
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param id
     * @return boolean
     * @throws
     */
    boolean delete(Integer enterpriseId, Integer id);
}
