package com.gic.store.service;

import com.gic.store.dto.StoreWidgetDTO;

import java.util.List;

/**
 * 
 * @ClassName: StoreWidgetService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:55
 */
public interface StoreWidgetService {
    /**
     * saveStoreWidget
     * @Title: saveStoreWidget
     * @Description:
     * @author zhiwj
     * @param storeWidgetDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveStoreWidget(StoreWidgetDTO storeWidgetDTO);

    /**
     * updateStoreWidget
     * @Title: updateStoreWidget
     * @Description:
     * @author zhiwj
     * @param storeWidgetDTO
     * @return int
     * @throws
     */
    int updateStoreWidget(StoreWidgetDTO storeWidgetDTO);

    /**
     * updateAuthStoreWidget
     * @Title: updateAuthStoreWidget
     * @Description:
     * @author zhiwj
     * @param storeWidgetDTO
     * @return int
     * @throws
     */
    int updateAuthStoreWidget(StoreWidgetDTO storeWidgetDTO);

    /**
     * getStoreWidget
     * @Title: getStoreWidget
     * @Description:
     * @author zhiwj
     * @param id
     * @return com.gic.store.dto.StoreWidgetDTO
     * @throws
     */
    StoreWidgetDTO getStoreWidget(Integer id);

    /**
     * updateAuth
     * @Title: updateAuth
     * @Description:
     * @author zhiwj
     * @param storeWidgetDTO
     * @return int
     * @throws
     */
    int updateAuth(StoreWidgetDTO storeWidgetDTO);

    /**
     * listStoreWidget
     * @Title: listStoreWidget
     * @Description:
     * @author taogs
     * @param storeWidgetIdList
     * @return java.util.List<com.gic.store.dto.StoreWidgetDTO>
     * @throws
     */
    List<StoreWidgetDTO> listStoreWidget(List<Integer> storeWidgetIdList);
}
