package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabStoreDictMapper;
import com.gic.store.entity.TabStoreDict;
import com.gic.store.service.StoreDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 
 * @ClassName: StoreDictServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
@Service("storeDictService")
public class StoreDictServiceImpl implements StoreDictService {
    @Autowired
    private TabStoreDictMapper tabStoreDictMapper;
    @Override
    public List<String> listStoreType(Integer enterpriseId) {
        return this.tabStoreDictMapper.listStoreType(enterpriseId);
    }

    @Override
    public List<String> listStoreStatus(Integer enterpriseId) {
        return this.tabStoreDictMapper.listStoreStatus(enterpriseId);
    }

    @Override
    public void saveStoreType(TabStoreDict tabStoreDict){
        tabStoreDict.setType("storeType");
        this.tabStoreDictMapper.insert(tabStoreDict);
    }

    @Override
    public void saveStoreStatus(TabStoreDict tabStoreDict){
        tabStoreDict.setType("storeStatus");
        this.tabStoreDictMapper.insert(tabStoreDict);
    }

    @Override
    public List<String> listStoreField(Integer enterpriseId) {
        return this.tabStoreDictMapper.listStoreField(enterpriseId);
    }

    @Override
    public void saveStoreField(TabStoreDict tabStoreDict) {
        tabStoreDict.setType("storeField");
        this.tabStoreDictMapper.insert(tabStoreDict);
    }

    @Override
    public void deleteStoreDict(Integer enterpriseId, String value, String type) {
        this.tabStoreDictMapper.deleteStoreDict(enterpriseId, value, type);
    }
}
