package com.gic.store.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.store.dto.ClerkLogDTO;
import com.gic.store.entity.TabClerkLog;
import com.gic.store.service.ClerkLogApiService;
import com.gic.store.service.ClerkLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 14:18
 */
@Service("clerkLogApiService")
public class ClerkLogApiServiceImpl implements ClerkLogApiService {

    @Autowired
    private ClerkLogService clerkLogService;

    @Override
    public ServiceResponse<Page<ClerkLogDTO>> listClerkLog(ClerkLogDTO clerkLogDTO, Integer pageNum, Integer pageSize) {
        com.github.pagehelper.Page<TabClerkLog> clerkLog = clerkLogService.listClerkLog(clerkLogDTO, pageNum, pageSize);
        Page<ClerkLogDTO> page = PageHelperUtils.changePageHelperToCurrentPage(clerkLog, ClerkLogDTO.class);
        return EnterpriseServiceResponse.success(page);
    }
}
