package com.gic.store.utils.field;

/**
 * @author zhiwj
 * @date 2019/7/8
 */
public class RealNumberField extends FieldBase{
    private Integer floatDigits;
    private Integer maxDigits;
    private Integer minDigits;

    public Integer getFloatDigits() {
        return floatDigits;
    }

    public void setFloatDigits(Integer floatDigits) {
        this.floatDigits = floatDigits;
    }

    public Integer getMaxDigits() {
        return maxDigits;
    }

    public void setMaxDigits(Integer maxDigits) {
        this.maxDigits = maxDigits;
    }

    public Integer getMinDigits() {
        return minDigits;
    }

    public void setMinDigits(Integer minDigits) {
        this.minDigits = minDigits;
    }

    @Override
    public String validate(String value) {
        String msg = super.validate(value);
        if (msg != null) {
            return msg;
        }
        if (value == null || "".equals(value)) {
            return null;
        }

        String[] split = value.split("\\.");
        if (minDigits > split[0].length()) {
            return "长度不能小于最小位数";
        }
        if (maxDigits < split[0].length()) {
            return "长度不能大于最大位数";
        }
        return null;
    }
}