package com.gic.store.web.qo.region;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author zhiwj
 * @date 2019/7/25
 */
public class StoreRegionQO implements Serializable {

    private static final long serialVersionUID = -5527892475415210806L;

    public interface SaveValidView{}

    private Integer regionId;
    private String regionCode;
    @NotNull(message = "门店域名称不能为空", groups = {SaveValidView.class})
    private String regionName;

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
}
