package com.gic.store.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 10:28
 */
public enum ClerkLogReasonEnum {
    /**
     * WEB后台操作
     */
    WEB(1, "WEB后台操作"),
    /**
     * 外部触发
     */
    EXTERNAL(2, "外部触发"),
    /**
     * 订单同步
     */
    ORDER(3, "订单同步"),
    /**
     * 会员同步
     */
    MEMBER  (4, "会员同步"),
    /**
     * 批量同步订单
     */
    BULKORDER(7, "批量同步订单"),
    /**
     * 批量同步会员
     */
    BULKMEMBER(8, "批量同步会员")
    ;
    private int code;
    private String message;

    ClerkLogReasonEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
