package com.gic.store.constant;

/**
 * @author zhiwj
 * @date 2019/7/8
 */
public enum StoreEnableOrDisAbleEnum {
    /**
     * 启用
     */
    ENABLE(1, "启用"),
    /**
     * 不启用
     */
    DISABLE(2, "不启用"),
    ;
    private int code;
    private String message;

    StoreEnableOrDisAbleEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
