package com.gic.store.constant;

/**
  * @ClassName: StoreGroupConstant 
  * @Description:   全局常量定义
  * @author guojuxing 
  * @date 2019/6/26 6:22 PM
  */
public class StoreGroupConstant {
    /**
     * 分组第一级
     */
    public final static int FIRST_STORE_GROUP_LEVEL = 1;

    /**
     * 所有门店层级
     */
    public final static int ALL_STORE_LEVEL = 0;

    /**
     * 分组最后一级
     */
    public final static int LAST_STORE_GROUP_LEVEL = 6;


    /**
     * 排序，上移
     */
    public final static int SORT_UP = 1;

    /**
     * 排序，下移
     */
    public final static int SORT_DOWN = 2;

    /**
     * 置底
     */
    public final static int SORT_BOTTOM = 3;

    /**
     * 置顶
     */
    public final static int SORT_TOPPING = 4;

    /**
     * 是否是默认门店，初始化品牌的时候会建立一条默认门店：未分组门店，不可编辑，1:是 0:否
     */
    public final static int IS_DEFAULT = 1;


    /**
     * 分组策略类型是2
     */
    public final static int STORE_GROUP_STRATEGY_TYPE = 2;


    /**
     * 门店策略
     */
    public final static int STORE_STRATEGY_TYPE = 1;




}
