package com.gic.store.dto;

import java.io.Serializable;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-15 15:04
 */
public class ProcessBatchStoreDTO implements Serializable {
    private static final long serialVersionUID = -3098313619184408793L;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 域id
     */
    private Integer regionId;

    /**
     * 门店名
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店电话
     */
    private String conactsPhone;

    /**
     * 店招品牌id
     */
    private Integer brandId;
    /**
     * 店招品牌
     */
    private String brandName;

    /**
     *
     */
    private String province;

    /**
     *
     */
    private String city;

    /**
     *
     */
    private String county;

    /**
     * 门店地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * [
     *   {
     *     "fieldName":"",   //自定义字段名
     *     "fieldValue:""    // 自定义字段值  如果是多选 用 ',' 隔开
     *   }
     * ]
     */
    private String customField;

    /**
     *
     */
    private String storeType;

    /**
     *
     */
    private String storeGroupName;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCustomField() {
        return customField;
    }

    public void setCustomField(String customField) {
        this.customField = customField;
    }

    public String getStoreType() {
        return storeType;
    }

    public void setStoreType(String storeType) {
        this.storeType = storeType;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Integer getBrandId() {
        return brandId;
    }

    public void setBrandId(Integer brandId) {
        this.brandId = brandId;
    }

    @Override
    public String toString() {
        return "ProcessBatchStoreDTO{" +
                "enterpriseId=" + enterpriseId +
                ", regionId=" + regionId +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", conactsPhone='" + conactsPhone + '\'' +
                ", brandId=" + brandId +
                ", brandName='" + brandName + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", county='" + county + '\'' +
                ", address='" + address + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", customField='" + customField + '\'' +
                ", storeType='" + storeType + '\'' +
                ", storeGroupName='" + storeGroupName + '\'' +
                '}';
    }
}
