package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 * tab_store
 */

/**
 *
 * @ClassName: StoreDTO
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public class StoreDTO extends StoreInfoDTO implements Serializable {
    /**
     * 
     */
    private Integer storeId;

    /**
     *
     */
    private Integer enterpriseId;
    /**
     * 是否共享  1是0否
     */
    private Integer ownType;

    /**
     *
     */
    private Integer storeGroupId;

    private List<Integer> storeGroupIdList;

    private String storeGroupName;
    private Integer isEditStoreGroup = 0;

    private Integer fromEnterpriseId;
    private String fromEnterpriseName;
    private Double score;
    private Integer evaluateCount;

    /**
     * 事由   1:web后台操作   2:外部触发   3:订单同步  4:会员同步  5:系统配置触发
     */
    private Integer reason;
    private String remark;
    private Integer operatorId;
    private String operatorName;
    private Integer license = Integer.MAX_VALUE;
    /**
     * 小程序默认图片
     */
    private StorePhotoDTO defaultPhoto;
    private String completeStatusName;
    private String statusName;
    private String erpStatusName;
    private String storeTypeName;
    /**
     * 有没有在转移中的会员  1有 0没有
      */
    private Integer hasTransMember=0;
    private ClerkDTO clerkLeader;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<Integer> getStoreGroupIdList() {
        return storeGroupIdList;
    }

    public void setStoreGroupIdList(List<Integer> storeGroupIdList) {
        this.storeGroupIdList = storeGroupIdList;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Integer getIsEditStoreGroup() {
        return isEditStoreGroup;
    }

    public void setIsEditStoreGroup(Integer isEditStoreGroup) {
        this.isEditStoreGroup = isEditStoreGroup;
    }

    public Integer getFromEnterpriseId() {
        return fromEnterpriseId;
    }

    public void setFromEnterpriseId(Integer fromEnterpriseId) {
        this.fromEnterpriseId = fromEnterpriseId;
    }

    public void setFromEnterpriseName(String fromEnterpriseName) {
        this.fromEnterpriseName = fromEnterpriseName;
    }

    public String getFromEnterpriseName() {
        return fromEnterpriseName;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getEvaluateCount() {
        return evaluateCount;
    }

    public void setEvaluateCount(Integer evaluateCount) {
        this.evaluateCount = evaluateCount;
    }

    public void setDefaultPhoto(StorePhotoDTO defaultPhoto) {
        this.defaultPhoto = defaultPhoto;
    }

    public StorePhotoDTO getDefaultPhoto() {
        return defaultPhoto;
    }

    public Integer getLicense() {
        return license;
    }

    public void setLicense(Integer license) {
        this.license = license;
    }

    public void setCompleteStatusName(String completeStatusName) {
        this.completeStatusName = completeStatusName;
    }

    public String getCompleteStatusName() {
        return completeStatusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setErpStatusName(String erpStatusName) {
        this.erpStatusName = erpStatusName;
    }

    public String getErpStatusName() {
        return erpStatusName;
    }

    public void setStoreTypeName(String storeTypeName) {
        this.storeTypeName = storeTypeName;
    }

    public String getStoreTypeName() {
        return storeTypeName;
    }

    public void setHasTransMember(Integer hasTransMember) {
        this.hasTransMember = hasTransMember;
    }

    public Integer getHasTransMember() {
        return hasTransMember;
    }

    @Override
    public String toString() {
        return "StoreDTO{" +
                "storeId=" + storeId +
                ", enterpriseId=" + enterpriseId +
                ", ownType=" + ownType +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupIdList=" + storeGroupIdList +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", isEditStoreGroup=" + isEditStoreGroup +
                ", fromEnterpriseId=" + fromEnterpriseId +
                ", fromEnterpriseName='" + fromEnterpriseName + '\'' +
                ", score=" + score +
                ", evaluateCount=" + evaluateCount +
                ", reason=" + reason +
                ", remark='" + remark + '\'' +
                ", operatorId=" + operatorId +
                ", operatorName='" + operatorName + '\'' +
                ", license=" + license +
                ", defaultPhoto=" + defaultPhoto +
                ", completeStatusName='" + completeStatusName + '\'' +
                ", statusName='" + statusName + '\'' +
                ", erpStatusName='" + erpStatusName + '\'' +
                ", storeTypeName='" + storeTypeName + '\'' +
                ", hasTransMember=" + hasTransMember +
                '}';
    }

    public void setClerkLeader(ClerkDTO clerkLeader) {
        this.clerkLeader = clerkLeader;
    }

    public ClerkDTO getClerkLeader() {
        return clerkLeader;
    }
}