package com.gic.store.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public class StoreExtendDTO implements Serializable {
    private static final long serialVersionUID = 6262138651367237464L;
    /**
     *
     */
    private Integer storeExtendId;

    /**
     *
     */
    private Integer storeInfoId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 字段属性id
     */
    private Integer storeFieldId;

    /**
     * 字段属性值
     */
    private String value;

    /**
     *
     */
    private Double sort;

    /**
     * 属性名称
     */
    private String storeFieldName;

    /**
     * 属性code
     */
    private String storeFieldCode;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    private Integer storeFieldType;

    /**
     * 字段详细配置
     */
    private String storeFieldDetail;

    /**
     * 与ERP映射的门店字段
     */
    private String erpRelCode;


    public Integer getStoreExtendId() {
        return storeExtendId;
    }

    public void setStoreExtendId(Integer storeExtendId) {
        this.storeExtendId = storeExtendId;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public String getStoreFieldCode() {
        return storeFieldCode;
    }

    public void setStoreFieldCode(String storeFieldCode) {
        this.storeFieldCode = storeFieldCode;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public String getStoreFieldDetail() {
        return storeFieldDetail;
    }

    public void setStoreFieldDetail(String storeFieldDetail) {
        this.storeFieldDetail = storeFieldDetail;
    }

    public String getErpRelCode() {
        return erpRelCode;
    }

    public void setErpRelCode(String erpRelCode) {
        this.erpRelCode = erpRelCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        StoreExtendDTO that = (StoreExtendDTO) o;
        return Objects.equals(storeFieldId, that.storeFieldId) &&
                Objects.equals(value, that.value) &&
                Objects.equals(storeFieldName, that.storeFieldName) &&
                Objects.equals(storeFieldCode, that.storeFieldCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(storeFieldId, value, storeFieldName, storeFieldCode);
    }

    @Override
    public String toString() {
        return "StoreExtendDTO{" +
                "storeExtendId=" + storeExtendId +
                ", storeInfoId=" + storeInfoId +
                ", enterpriseId=" + enterpriseId +
                ", storeFieldId=" + storeFieldId +
                ", value='" + value + '\'' +
                ", sort=" + sort +
                ", storeFieldName='" + storeFieldName + '\'' +
                ", storeFieldCode='" + storeFieldCode + '\'' +
                ", storeFieldType=" + storeFieldType +
                ", storeFieldDetail='" + storeFieldDetail + '\'' +
                ", erpRelCode='" + erpRelCode + '\'' +
                '}';
    }
}
