package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreRegionDTO implements Serializable {
    private static final long serialVersionUID = 1802958256860405399L;

    /**
     *
     */
    private Integer regionId;

    /**
     * 域code
     */
    private String regionCode;

    /**
     *
     */
    private String regionName;

    /**
     * 是否关联erp  1是 0否
     */
    private Integer erpFlag;

    /**
     * 状态值；1有效  0无效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 企业id
     */
    private Integer enterpriseId;

    private Integer fromEnterpriseId;

    private Integer ownType;
    private String shareEnterpriseName;

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getFromEnterpriseId() {
        return fromEnterpriseId;
    }

    public void setFromEnterpriseId(Integer fromEnterpriseId) {
        this.fromEnterpriseId = fromEnterpriseId;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public void setShareEnterpriseName(String shareEnterpriseName) {
        this.shareEnterpriseName = shareEnterpriseName;
    }

    public String getShareEnterpriseName() {
        return shareEnterpriseName;
    }

    public Integer getErpFlag() {
        return erpFlag;
    }

    public void setErpFlag(Integer erpFlag) {
        this.erpFlag = erpFlag;
    }

    @Override
    public String toString() {
        return "StoreRegionDTO{" +
                "regionId=" + regionId +
                ", regionCode='" + regionCode + '\'' +
                ", regionName='" + regionName + '\'' +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseId=" + enterpriseId +
                ", fromEnterpriseId=" + fromEnterpriseId +
                ", ownType=" + ownType +
                ", shareEnterpriseName='" + shareEnterpriseName + '\'' +
                '}';
    }
}
