package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @ClassName: StoreSearchDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:07
 */
public class StoreSearchDTO implements Serializable {
    private Integer storeGroupId;
    private Integer regionId;
    private String storeCode;
    private String search;
    private Integer createType;
    private Integer status;
    private String provinceId;
    private String cityId;
    private String countyId;
    private Integer enterpriseId;
    private String storeIds;
    private String storeInfoIds;
    private String storeIdsOfNot;
    private String storeInfoIdsOfNot;
    private Integer storeBrandId;
    private String searchJson;
    private String authSearchJson;
    private String latitude;
    private String longitude;
    private Long storeResource;
    private Integer currentPage=1;
    private Integer pageSize=20;
    private Integer storeTagId;
    private Integer completeStatus;
    private List<Integer> storeResourceList;
    private Integer realStatus;
    private String storeGroupIds;
    private String regionIds;
    private String storeTypes;
    private String storeStatuss;
    private String realStatuss;
    private String storeTags;
    private String storeBrandIds;
    private Integer ownType;

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreIds() {
        return storeIds;
    }

    public void setStoreIds(String storeIds) {
        this.storeIds = storeIds;
    }

    public String getSearchJson() {
        return searchJson;
    }

    public void setSearchJson(String searchJson) {
        this.searchJson = searchJson;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getStoreInfoIds() {
        return storeInfoIds;
    }

    public void setStoreInfoIds(String storeInfoIds) {
        this.storeInfoIds = storeInfoIds;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public void setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
    }

    public String getAuthSearchJson() {
        return authSearchJson;
    }

    public void setAuthSearchJson(String authSearchJson) {
        this.authSearchJson = authSearchJson;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getStoreTagId() {
        return storeTagId;
    }

    public void setStoreTagId(Integer storeTagId) {
        this.storeTagId = storeTagId;
    }

    public String getStoreIdsOfNot() {
        return storeIdsOfNot;
    }

    public StoreSearchDTO setStoreIdsOfNot(String storeIdsOfNot) {
        this.storeIdsOfNot = storeIdsOfNot;
        return this;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public StoreSearchDTO setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
        return this;
    }

    public List<Integer> getStoreResourceList() {
        return storeResourceList;
    }

    public void setStoreResourceList(List<Integer> storeResourceList) {
        this.storeResourceList = storeResourceList;
    }

    public Integer getRealStatus() {
        return realStatus;
    }

    public void setRealStatus(Integer realStatus) {
        this.realStatus = realStatus;
    }

    public String getStoreGroupIds() {
        return storeGroupIds;
    }

    public void setStoreGroupIds(String storeGroupIds) {
        this.storeGroupIds = storeGroupIds;
    }

    public String getRegionIds() {
        return regionIds;
    }

    public void setRegionIds(String regionIds) {
        this.regionIds = regionIds;
    }

    public String getStoreTypes() {
        return storeTypes;
    }

    public void setStoreTypes(String storeTypes) {
        this.storeTypes = storeTypes;
    }

    public String getStoreStatuss() {
        return storeStatuss;
    }

    public void setStoreStatuss(String storeStatuss) {
        this.storeStatuss = storeStatuss;
    }

    public String getRealStatuss() {
        return realStatuss;
    }

    public void setRealStatuss(String realStatuss) {
        this.realStatuss = realStatuss;
    }

    public String getStoreTags() {
        return storeTags;
    }

    public void setStoreTags(String storeTags) {
        this.storeTags = storeTags;
    }

    public String getStoreInfoIdsOfNot() {
        return storeInfoIdsOfNot;
    }

    public void setStoreInfoIdsOfNot(String storeInfoIdsOfNot) {
        this.storeInfoIdsOfNot = storeInfoIdsOfNot;
    }

    public String getStoreBrandIds() {
        return storeBrandIds;
    }

    public void setStoreBrandIds(String storeBrandIds) {
        this.storeBrandIds = storeBrandIds;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public StoreSearchDTO setOwnType(Integer ownType) {
        this.ownType = ownType;
        return this;
    }

    @Override
    public String toString() {
        return "StoreSearchDTO{" +
                "storeGroupId=" + storeGroupId +
                ", regionId=" + regionId +
                ", storeCode='" + storeCode + '\'' +
                ", search='" + search + '\'' +
                ", createType=" + createType +
                ", status=" + status +
                ", provinceId='" + provinceId + '\'' +
                ", cityId='" + cityId + '\'' +
                ", countyId='" + countyId + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", storeIds='" + storeIds + '\'' +
                ", storeInfoIds='" + storeInfoIds + '\'' +
                ", storeIdsOfNot='" + storeIdsOfNot + '\'' +
                ", storeInfoIdsOfNot='" + storeInfoIdsOfNot + '\'' +
                ", storeBrandId=" + storeBrandId +
                ", searchJson='" + searchJson + '\'' +
                ", authSearchJson='" + authSearchJson + '\'' +
                ", latitude='" + latitude + '\'' +
                ", longitude='" + longitude + '\'' +
                ", storeResource=" + storeResource +
                ", currentPage=" + currentPage +
                ", pageSize=" + pageSize +
                ", storeTagId=" + storeTagId +
                ", completeStatus=" + completeStatus +
                ", storeResourceList=" + storeResourceList +
                ", realStatus=" + realStatus +
                ", storeGroupIds='" + storeGroupIds + '\'' +
                ", regionIds='" + regionIds + '\'' +
                ", storeTypes='" + storeTypes + '\'' +
                ", storeStatuss='" + storeStatuss + '\'' +
                ", realStatuss='" + realStatuss + '\'' +
                ", storeTags='" + storeTags + '\'' +
                ", storeBrandIds='" + storeBrandIds + '\'' +
                ", ownType='" + ownType + '\'' +
                '}';
    }
}
