package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public class StoreTmpDTO implements Serializable {
    private static final long serialVersionUID = 5641632947835212465L;

    /**
     *
     */
    private Integer storeTmpId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 域id
     */
    private Integer regionId;

    /**
     * 域名称
     */
    private String regionName;

    /**
     *
     */
    private String storeName;

    /**
     *
     */
    private String storeCode;

    /**
     *
     */
    private String conactsPhone;

    /**
     *
     */
    private String brands;
    /**
     *
     */
    private String province;

    /**
     *
     */
    private String city;

    /**
     *
     */
    private String county;

    /**
     *
     */
    private Integer areaId;

    /**
     *
     */
    private String address;

    /**
     *
     */
    private String longitude;

    /**
     *
     */
    private String latitude;

    /**
     * 自定义字段导入信息
     */
    private String customField;

    /**
     * 导入状态；-1待导入，1导入成功；2导入失败
     */
    private Integer state;

    /**
     * 导入错误信息
     */
    private String errorMessage;

    /**
     * uuid
     */
    private String signKey;

    /**
     *
     */
    private String storeType;

    /**
     *
     */
    private String erpStatus;

    private String storeGroupName;

    private Date updateTime;
    private List<StoreExtendDTO> extendList;

    /**
     *
     */
    private Integer operatorId;

    /**
     *
     */
    private String operatorName;
    /**
     * 如果有门店code重复，是否替换更新
     */
    private Boolean replace;

    public Integer getStoreTmpId() {
        return storeTmpId;
    }

    public void setStoreTmpId(Integer storeTmpId) {
        this.storeTmpId = storeTmpId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public Integer getAreaId() {
        return areaId;
    }

    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCustomField() {
        return customField;
    }

    public void setCustomField(String customField) {
        this.customField = customField;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getSignKey() {
        return signKey;
    }

    public void setSignKey(String signKey) {
        this.signKey = signKey;
    }

    public String getStoreType() {
        return storeType;
    }

    public void setStoreType(String storeType) {
        this.storeType = storeType;
    }

    public String getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(String erpStatus) {
        this.erpStatus = erpStatus;
    }

    public String getBrands() {
        return brands;
    }

    public void setBrands(String brands) {
        this.brands = brands;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setExtendList(List<StoreExtendDTO> extendList) {
        this.extendList = extendList;
    }

    public List<StoreExtendDTO> getExtendList() {
        return extendList;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Boolean isReplace() {
        return replace;
    }

    public void setReplace(Boolean replace) {
        this.replace = replace;
    }

    @Override
    public String toString() {
        return "StoreTmpDTO{" +
                "storeTmpId=" + storeTmpId +
                ", enterpriseId=" + enterpriseId +
                ", regionId=" + regionId +
                ", regionName='" + regionName + '\'' +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", conactsPhone='" + conactsPhone + '\'' +
                ", brands='" + brands + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", county='" + county + '\'' +
                ", areaId=" + areaId +
                ", address='" + address + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", customField='" + customField + '\'' +
                ", state=" + state +
                ", errorMessage='" + errorMessage + '\'' +
                ", signKey='" + signKey + '\'' +
                ", storeType='" + storeType + '\'' +
                ", erpStatus='" + erpStatus + '\'' +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", updateTime=" + updateTime +
                ", extendList=" + extendList +
                ", operatorId=" + operatorId +
                ", operatorName='" + operatorName + '\'' +
                ", replace=" + replace +
                '}';
    }
}
