package com.gic.store.dto.open;

import java.io.Serializable;


/**
 *
 * @ClassName: ClerkDTO
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public class ClerkDTO implements Serializable{
    private static final long serialVersionUID = 3501566554528955502L;
    /**
     * 店员名称
     */
    private String clerkName;

    /**
     * 店员编码
     */
    private String clerkCode;

    /**
     * 企业ID
     */
    private Integer enterpriseId;

    /**
     * 导购角色
     */
    private Integer clerkPositionId;

    /**
     * 性别  1：男  2：女
     */
    private Integer clerkGender;

    /**
     * 电话号码
     */
    private String phoneNumber;

    private String storeCode;
    /**
     * 门店域
     */
    private Integer regionId;

    private Integer storeInfoId;

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }


    public Integer getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(Integer clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public Integer getClerkPositionId() {
        return clerkPositionId;
    }

    public void setClerkPositionId(Integer clerkPositionId) {
        this.clerkPositionId = clerkPositionId;
    }

    @Override
    public String toString() {
        return "ClerkDTO{" +
                "clerkName='" + clerkName + '\'' +
                ", clerkCode='" + clerkCode + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", clerkPositionId=" + clerkPositionId +
                ", clerkGender=" + clerkGender +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", regionId=" + regionId +
                ", storeInfoId=" + storeInfoId +
                '}';
    }
}
