package com.gic.store.dto.open;

import java.io.Serializable;
import java.util.Date;

/**
 * 开放api门店分组查询接口
 * @ClassName: StoreGroupDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/22 5:07 PM 
 */
public class StoreGroupDTO implements Serializable{
    private static final long serialVersionUID = -2710703586504765462L;

    /**
     *
     */
    private Integer storeGroupId;

    /**
     * 分组名称
     */
    private String storeGroupName;

    /**
     * 父级分组id
     */
    private Integer parentStoreGroupId;

    /**
     * 分组层级
     */
    private Integer groupLevel;

    /**
     * 分组排序
     */
    private Integer sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 是否是默认门店，初始化品牌的时候会建立一条默认门店：未分组门店，1:是 0:否
     */
    private Integer isDefault;

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public StoreGroupDTO setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
        return this;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public StoreGroupDTO setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
        return this;
    }

    public Integer getParentStoreGroupId() {
        return parentStoreGroupId;
    }

    public StoreGroupDTO setParentStoreGroupId(Integer parentStoreGroupId) {
        this.parentStoreGroupId = parentStoreGroupId;
        return this;
    }

    public Integer getGroupLevel() {
        return groupLevel;
    }

    public StoreGroupDTO setGroupLevel(Integer groupLevel) {
        this.groupLevel = groupLevel;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public StoreGroupDTO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StoreGroupDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StoreGroupDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public StoreGroupDTO setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
        return this;
    }

    @Override
    public String toString() {
        return "StoreGroupDTO{" +
                "storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", parentStoreGroupId=" + parentStoreGroupId +
                ", groupLevel=" + groupLevel +
                ", sort=" + sort +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", isDefault=" + isDefault +
                '}';
    }
}
