package com.gic.store.service;

import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreTagTmpDTO;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 10:08
 */
public interface StoreTagTmpApiService {

    /**
     * delStoreTagTmp
     * @Title: delStoreTagTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delStoreTagTmp(Integer enterpriseId);


    /**
     * saveStoreTagTmp
     * @Title: saveStoreTagTmp
     * @Description:
     * @author zhiwj
     * @param bean
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveStoreTagTmp(StoreTagTmpDTO bean);


    /**
     * listImportError
     * @Title: listImportError
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.store.dto.StoreTagTmpDTO>>
     * @throws
     */
    ServiceResponse<Page<StoreTagTmpDTO>> listImportError(Integer enterpriseId, Integer currentPage, Integer pageSize);


    /**
     * queryCount
     * @Title: queryCount
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<com.alibaba.fastjson.JSONObject>
     * @throws
     */
    ServiceResponse<JSONObject> queryCount(Integer enterpriseId);
}
