package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreGroupRel;

/**
 * 
 * @ClassName: TabStoreGroupRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:37
 */
public interface TabStoreGroupRelMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreGroupRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreGroupRel record);

    /**
     * 根据主键查询
     *
     * @param storeGroupRelId 主键
     * @return 实体对象
     */
    TabStoreGroupRel selectByPrimaryKey(Integer storeGroupRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreGroupRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreGroupRel record);
}