package com.gic.store.service;

import com.gic.store.entity.TabAuthStoreLog;

import java.util.List;

/**
 * 
 * @ClassName: AuthStoreLogService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:53
 */
public interface AuthStoreLogService {
    /**
     * saveAuthStoreLog
     * @Title: saveAuthStoreLog
     * @Description:
     * @author zhiwj
     * @param storeInfoId
     * @param fromEnterpriseId
     * @param toEnterpriseId
     * @param key
     * @return int
     * @throws
     */
    int saveAuthStoreLog(Integer storeInfoId, Integer fromEnterpriseId, Integer toEnterpriseId, String key);

    /**
     * updateStatus
     * @Title: updateStatus
     * @Description:
     * @author zhiwj
     * @param id
     * @param status
     * @return int
     * @throws
     */
    int updateStatus(Integer id, int status);

    /**
     * getCount
     * @Title: getCount
     * @Description:
     * @author zhiwj
     * @param key
     * @param status
     * @return int
     * @throws
     */
    int getCount(String key, Integer status);

    /**
     * listFailedStore
     * @Title: listFailedStore
     * @Description:
     * @author zhiwj
     * @param key
     * @return java.util.List<com.gic.store.entity.TabAuthStoreLog>
     * @throws
     */
    List<TabAuthStoreLog> listFailedStore(String key);
}
