package com.gic.store.service;

import com.gic.store.dto.ClerkDTO;
import com.gic.store.dto.ClerkLogDTO;
import com.gic.store.entity.TabClerk;
import com.gic.store.entity.TabClerkLog;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 9:39
 */
public interface ClerkLogService {


    /**
     * saveClerkLogBySaveClerk
     * @Title: saveClerkLogBySaveClerk
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param clerkId
     * @param reason
     * @param remark
     * @param operatorId
     * @param operatorName
     * @return java.lang.Integer
     * @throws
     */
    Integer saveClerkLogBySaveClerk(Integer enterpriseId, Integer clerkId, Integer reason, String remark, Integer operatorId, String operatorName);

    /**
     * saveClerkLogByUpdateClerk
     * @Title: saveClerkLogByUpdateClerk
     * @Description:
     * @author zhiwj
     * @param oldClerk
     * @param newClerk
     * @param enterpriseId
     * @param clerkId
     * @param reason
     * @param remark
     * @param operatorId
     * @param operatorName
     * @return java.lang.Integer
     * @throws
     */
    Integer saveClerkLogByUpdateClerk(TabClerk oldClerk, ClerkDTO newClerk, Integer enterpriseId, Integer clerkId, Integer reason, String remark, Integer operatorId, String operatorName);

    /**
     * listClerkLog
     * @Title: listClerkLog
     * @Description:
     * @author zhiwj
     * @param clerkLogDTO
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabClerkLog>
     * @throws
     */
    Page<TabClerkLog> listClerkLog(ClerkLogDTO clerkLogDTO, Integer pageNum, Integer pageSize);

}
