package com.gic.store.service;

import com.gic.store.dto.StorePhotoDTO;
import com.gic.store.entity.TabStorePhoto;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/27
 */
public interface StorePhotoService {
    /**
     * editStoreImage
     * @Title: editStoreImage
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @param photoList
     * @param delPhotos
     * @return void
     * @throws
     */
    void editStoreImage(Integer enterpriseId, Integer storeInfoId, List<StorePhotoDTO> photoList, List<Integer> delPhotos);

    /**
     * listStorePhoto
     * @Title: listStorePhoto
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @return java.util.List<com.gic.store.entity.TabStorePhoto>
     * @throws
     */
    List<TabStorePhoto> listStorePhoto(Integer enterpriseId, Integer storeInfoId);
}
