package com.gic.store.service;

import com.gic.store.dto.StoreTagTmpDTO;
import com.gic.store.entity.TabStoreTagTmp;
import com.github.pagehelper.Page;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 14:17
 */
public interface StoreTagTmpService {
    /**
     * delStoreTagTmp
     * @Title: delStoreTagTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void delStoreTagTmp(Integer enterpriseId);

    /**
     * saveStoreTagTmp
     * @Title: saveStoreTagTmp
     * @Description:
     * @author zhiwj
     * @param bean
     * @return void
     * @throws
     */
    void saveStoreTagTmp(StoreTagTmpDTO bean);

    /**
     * listImportError
     * @Title: listImportError
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param currentPage
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreTagTmp>
     * @throws
     */
    Page<TabStoreTagTmp> listImportError(Integer enterpriseId, Integer currentPage, Integer pageSize);

    /**
     * querySuccessCount
     * @Title: querySuccessCount
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.lang.Integer
     * @throws
     */
    Integer querySuccessCount(Integer enterpriseId);
}
