package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabStoreIndexLogMapper;
import com.gic.store.entity.TabStoreIndexLog;
import com.gic.store.service.StoreIndexLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * Created by tgs on 2020/2/6.
 */
/**
 * 
 * @ClassName: StoreIndexLogServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
@Service("storeIndexLogService")
public class StoreIndexLogServiceImpl implements StoreIndexLogService {
    @Autowired
    private TabStoreIndexLogMapper tabStoreIndexLogMapper;

    @Override
    public int updateStoreIndexLog(Integer logId, String result) {
        TabStoreIndexLog log = new TabStoreIndexLog();
        log.setStoreIndexId(logId);
        log.setResult(result);
        int i = this.tabStoreIndexLogMapper.updateByPrimaryKeySelective(log);
        return i;
    }

    @Override
    public int saveStoreIndexLog(Integer enterpriseId, Integer storeId) {
        TabStoreIndexLog log = new TabStoreIndexLog();
        log.setUpdateTime(new Date());
        log.setCreateTime(new Date());
        log.setEnterpriseId(enterpriseId);
        log.setStoreId(storeId);
        this.tabStoreIndexLogMapper.insertSelective(log);
        return log.getStoreIndexId();
    }
}
