package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreTagTmpMapper;
import com.gic.store.dto.StoreTagTmpDTO;
import com.gic.store.entity.TabStoreTagTmp;
import com.gic.store.service.StoreTagTmpService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 14:17
 */
@Service
public class StoreTagTmpServiceImpl implements StoreTagTmpService {

    @Autowired
    private TabStoreTagTmpMapper tabStoreTagTmpMapper;

    @Override
    public void delStoreTagTmp(Integer enterpriseId) {
        tabStoreTagTmpMapper.delStoreTagTmp(enterpriseId);
    }

    @Override
    public void saveStoreTagTmp(StoreTagTmpDTO bean) {
        TabStoreTagTmp tabStoreTagTmp = EntityUtil.changeEntityByJSON(TabStoreTagTmp.class, bean);
        tabStoreTagTmpMapper.insertSelective(tabStoreTagTmp);
    }

    @Override
    public Page<TabStoreTagTmp> listImportError(Integer enterpriseId, Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        return tabStoreTagTmpMapper.listImportError(enterpriseId);
    }

    @Override
    public Integer querySuccessCount(Integer enterpriseId) {
        return tabStoreTagTmpMapper.querySuccessCount(enterpriseId);
    }
}
