package com.gic.store.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.service.UnionStoreChangeApiService;
import com.gic.store.service.UnionStoreChangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @ClassName: UnionStoreChangeApiServiceImpl
 * @Description:  联合商户授权门店资源范围变更日志记录
 * @author taogs
 * @date 2021/2/9 11:07
 */
@Service("unionStoreChangeApiService")
public class UnionStoreChangeApiServiceImpl implements UnionStoreChangeApiService {
    @Autowired
    private UnionStoreChangeService unionStoreChangeService;

    @Override
    public ServiceResponse<Void> save(Integer ownEnterpriseId, Integer unionEnterpriseId) {
        this.unionStoreChangeService.save(ownEnterpriseId, unionEnterpriseId);
        return ServiceResponse.success();
    }
}
