package com.gic.store.utils.resource;

import com.gic.store.dto.StoreResourceDTO;
import java.util.List;
import java.util.Set;

/** 查询超管的权限
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/26 11:16 AM 
 */
public abstract class AbstractAuthDataUtils {
    /**
     * 查询超管数据
     * @param enterpriseId
     * @return id集合
     */
    abstract List<StoreResourceDTO> getAuthData(Integer enterpriseId);

    /**
     * 子管理员权限过滤
     * @param authIdSet 门店选择器配置的对应数据ID集合
     * @return
     */
    abstract List<StoreResourceDTO> auth(Set<String> authIdSet);
}
