package com.gic.store.web.qo.clerk;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-16 14:35
 */
public class ClerkPositionQO implements Serializable {
    private static final long serialVersionUID = -1393821407141417895L;

    public interface SaveValidView{
    }
    public interface EditValidView{
    }

    /**
     *
     */
    @NotNull(message = "导购名称不能为空", groups = EditValidView.class)
    private Integer clerkPositionId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    @NotNull(message = "导购名称不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String positionName;

    /**
     *
     */
    @NotNull(message = "导购代码不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String positionCode;

    /**
     *
     */
    private Double sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Integer status;
    private int seq;

    public Integer getClerkPositionId() {
        return clerkPositionId;
    }

    public void setClerkPositionId(Integer clerkPositionId) {
        this.clerkPositionId = clerkPositionId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getPositionCode() {
        return positionCode;
    }

    public void setPositionCode(String positionCode) {
        this.positionCode = positionCode;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setSeq(int seq) {
        this.seq = seq;
    }

    public int getSeq() {
        return seq;
    }
}
