package com.gic.store.web.vo;

import com.gic.store.dto.StoreBrandDTO;
import com.gic.store.dto.StoreBusinessTimeDTO;
import com.gic.store.dto.StoreExtendDTO;
import com.gic.store.dto.StorePhotoDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreOverflowVO implements Serializable {
    private static final long serialVersionUID = -6360038263126373120L;
    /**
     *
     */
    private Integer storeId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店详细地址
     */
    private String address;


    /**
     * 门店启用状态；1启用  2不启用
     */
    private Integer status;

    private Integer completeStatus;

    private String storeGroupName;
    private String provinces;


    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
    }

    @Override
    public String toString() {
        return "StoreOverflowVO{" +
                "storeId=" + storeId +
                ", enterpriseId=" + enterpriseId +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", address='" + address + '\'' +
                ", status=" + status +
                ", completeStatus=" + completeStatus +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", provinces='" + provinces + '\'' +
                '}';
    }
}
