package com.gic.store.web.vo.storefield;

import java.io.Serializable;

/**
 * @author guojx
 * @date 2019/7/3 4:13 PM
 */
public class StoreFieldRegionVO implements Serializable{
    private static final long serialVersionUID = -6082513310725549988L;

    /**
     *
     */
    private Integer storeFieldId;

    /**
     * 属性名称
     */
    private String storeFieldName;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    private Integer storeFieldType;

    /**
     * 字段详细配置
     */
    private String storeFieldDetail;

    /**
     * 排序字段
     */
    private Double sort;

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public String getStoreFieldDetail() {
        return storeFieldDetail;
    }

    public void setStoreFieldDetail(String storeFieldDetail) {
        this.storeFieldDetail = storeFieldDetail;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "StoreFieldRegionVO{" +
                "storeFieldId=" + storeFieldId +
                ", storeFieldName='" + storeFieldName + '\'' +
                ", storeFieldType=" + storeFieldType +
                ", storeFieldDetail='" + storeFieldDetail + '\'' +
                ", sort=" + sort +
                '}';
    }
}
