package com.gic.store.web.vo.storewidget;

import com.alibaba.fastjson.JSON;
import com.google.common.base.Joiner;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 13:55
 */
public class StoreWidgetSearch {


    public static String getJson(List<Integer> storeIdList) {
        String json = "[{\"type\":\"\",\"list\":[{\"data\":{\"key\":\"storeId\",\"compute\":\"arr_contain\",\"value\":\"4040 4041 4048 4042 4045\"}}]}]";
        List<StoreWidgetSearch> storeWidgetSearches = JSON.parseArray(json, StoreWidgetSearch.class);
        StoreWidgetSearch storeWidgetSearch = storeWidgetSearches.get(0);
        storeWidgetSearch.getList().get(0).getData().setValue(Joiner.on(" ").join(storeIdList));
        return JSON.toJSONString(storeWidgetSearches);
    }

    /**
     * type :
     * list : [{"data":{"key":"storeId","compute":"contain","value":"4040 4041 4048 4042 4045"}}]
     */

    private String type;
    private List<ListBean> list;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * data : {"key":"storeId","compute":"contain","value":"4040 4041 4048 4042 4045"}
         */

        private DataBean data;

        public DataBean getData() {
            return data;
        }

        public void setData(DataBean data) {
            this.data = data;
        }

        public static class DataBean {
            /**
             * key : storeId
             * compute : contain
             * value : 4040 4041 4048 4042 4045
             */

            private String key;
            private String compute;
            private String value;

            public String getKey() {
                return key;
            }

            public void setKey(String key) {
                this.key = key;
            }

            public String getCompute() {
                return compute;
            }

            public void setCompute(String compute) {
                this.compute = compute;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }
    }
}
